=head1 NAME

Gtk2::ItemFactory

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::ItemFactory



=cut


=head1 DEPRECATION WARNING

Gtk2::ItemFactory has been marked as deprecated, and should not be used in newly written code.

You should use L<Gtk2::UIManager> instead of Gtk2::ItemFactory.


=cut


=head1 METHODS

=head2 itemfactory = Gtk2::ItemFactory-E<gt>B<new> ($container_type_package, $path, $accel_group=undef)

=over

=item * $container_type_package (string) 

=item * $path (string) 

=item * $accel_group (Gtk2::AccelGroup or undef) 

=back

=head2 $ifactory-E<gt>B<create_item> ($entry_ref, $callback_data=undef)

=over

=item * $entry_ref (scalar) GtkItemFactoryEntry

=item * $callback_data (scalar) 

=back




=head2 $ifactory-E<gt>B<create_items> ($callback_data, ...)

=over

=item * $callback_data (scalar) 

=item * ... (list) GtkItemFactoryEntry's

=back




=head2 $ifactory-E<gt>B<delete_entries> (...)

=over

=item * ... (list) GtkItemFactoryEntry's

=back




=head2 $ifactory-E<gt>B<delete_entry> ($entry_ref)

=over

=item * $entry_ref (scalar) GtkItemFactoryEntry

=back




=head2 $ifactory-E<gt>B<delete_item> ($path)

=over

=item * $path (string) 

=back

=head2 itemfactory or undef = Gtk2::ItemFactory-E<gt>B<from_widget> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 widget or undef = $ifactory-E<gt>B<get_item_by_action> ($action)

=over

=item * $action (integer) 

=back

=head2 widget or undef = $ifactory-E<gt>B<get_item> ($path)

=over

=item * $path (string) 

=back

=head2 string = Gtk2::ItemFactory-E<gt>B<path_from_widget> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 $ifactory-E<gt>B<popup> ($x, $y, $mouse_button, $time_, $popup_data=undef)

=over

=item * $x (integer) 

=item * $y (integer) 

=item * $mouse_button (integer) 

=item * $time_ (unsigned) 

=item * $popup_data (scalar) 

=back

=head2 scalar = $ifactory-E<gt>B<popup_data> 

=head2 scalar = Gtk2::ItemFactory-E<gt>B<popup_data_from_widget> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 $ifactory-E<gt>B<set_translate_func> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 widget or undef = $ifactory-E<gt>B<get_widget_by_action> ($action)

=over

=item * $action (integer) 

=back

=head2 widget or undef = $ifactory-E<gt>B<get_widget> ($path)

=over

=item * $path (string) 

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

